<?
	// Start with PHP at the top
	
	// Include various PHP functions that we'll use on each page
	include("include.inc"); 
	
	// A PHP function call..
	// Function exists in include file
	$data = getTextFileData("textfilename.txt");	
?>
<html>
	<head>
		<!-- Include JavaScript functions -->
		<script type="text/javascript" src="include.js"></script>

		<!-- Include a stylesheet -->
		<link href="styles.css" rel="stylesheet" type="text/css">

		<!-- Actual JavaScript for this page -->
		<script type="text/javascript">
			
			var winWidth = 500;
			var winHeight = 500;
			
			// Grabbing Data from PHP and using it in JavaScript
			var phpDate = "<?=date('Y');?>";
			// After PHP Runs this line should look like this:
			// var phpDate = "2009";
			
			// Use sizeof $data from PHP to tell us in JavaScript how many divs
			var numDivs = <?=sizeof($data);?>;
			
			// An array to hold our div objects
			var divs = new Array();
			
			// Timer to do animation
			var theTimer = null; 
			
			// Object to hold div and associated properties
			function DivObject(_div,_xspeed,_yspeed)
			{
				this.div = _div;
				this.x = 0;
				this.y = 0;
				this.xspeed = _xspeed;
				this.yspeed = _yspeed;
				this.div.style.top = 1;
				this.div.style.left = 1;
			}
			
			function initPageVars()
			{
				for (var i = 0; i < numDivs; i++)
				{
					var currentdiv = document.getElementById("" + i);
					divs[i] = new DivObject(currentdiv,Math.random() * 2,Math.random() * 2);
				}
				
				theTimer = setInterval("moveDivs()",13);
			}
		
			function moveDivs()
			{
				for (i = 0; i < numDivs; i++)
				{
					move(divs[i]);
				}
				//move(divs[0]);
			}
		
			function stopMoving(id)
			{
				alert("You Clicked " + id.innerHTML);
				window.location = "http://www.google.com/search?q=" + id.innerHTML;
			}
			
			function move(thediv)
			{
				//alert(thediv.div);
				if (thediv.y > winHeight || thediv.y < 0)
				{
					thediv.yspeed = thediv.yspeed * -1;
				}
				
				if (thediv.x > winWidth || thediv.x < 0)
				{
					thediv.xspeed = thediv.xspeed * -1;
				}
				
				thediv.y += thediv.yspeed;
				thediv.x += thediv.xspeed;
			
				thediv.div.style.top = thediv.y + "px";
				thediv.div.style.left = thediv.x + "px";
			}
		
		</script>
	</head>
	<body onload="initPageVars();">
		<?
			// Loop through $data array and output results
			for ($i = 0; $i < sizeof($data); $i++)
			{
			
				// Stop PHP and break into HTML
		?>
				<!-- Output a div for each line -->
				<div class="divclass" id="<?=$i?>" onClick="stopMoving(this);">
					<?=$data[$i]?>
				</div>
		<?
				// Start back up with PHP to end loop
			}
		?>
	</body>
</html>